Bug 69460 - desktop file fixes
desktop file fixes
Product: Red Hat Raw Hide
Classification: Retired
Component: mozilla (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Blizzard
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2002-07-22 14:33 EDT by Havoc Pennington
Modified: 2007-04-18 12:44 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-07-24 15:00:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Havoc Pennington 2002-07-22 14:33:46 EDT
I may have already filed some of this, but I'm going through all desktop files 
systematically today.

Moz changes:
 - browser should have two desktop   
   files, the first has  
   and has Name=Web Browser
   the second is X-Red-Hat-Extra instead of the Base stuff
   and has Name=Mozilla.

 - composer/email should have X-Red-Hat-Extra, email has Internet;Application;
   composer has maybe Development;Application;

 - move to /usr/share/applications

If you need translations on anything (e.g. due to changing names) 
you put the actual desktop file in redhat-menus (in CVS on elvis), then include
a symlink in the moz package from /usr/share/applications to the actual 
file in /usr/share/desktop-menu-patches

I believe redhat-menus already contains redhat-web.desktop, which is the first 
of the browser desktop files (the one with Name=Web Browser)
Comment 1 Christopher Blizzard 2002-07-24 15:00:36 EDT
[14:59:46] <hp> the mail desktop file should include
[14:59:51] <hp> s/Internet/Network/
Comment 2 Christopher Blizzard 2002-07-24 17:58:23 EDT
Fixed in 1.0.1-10.

Note You need to log in before you can comment on or make changes to this bug.